IdentifiantMot de passe
Loading...
Mot de passe oublié ?Je m'inscris ! (gratuit)
Navigation

Inscrivez-vous gratuitement
pour pouvoir participer, suivre les réponses en temps réel, voter pour les messages, poser vos propres questions et recevoir la newsletter

Eclipse Java Discussion :

Problème avec le plugin CDT d'eclipse


Sujet :

Eclipse Java

  1. #1
    Futur Membre du Club
    Profil pro
    Inscrit en
    octobre 2006
    Messages
    5
    Détails du profil
    Informations personnelles :
    Localisation : Canada

    Informations forums :
    Inscription : octobre 2006
    Messages : 5
    Points : 5
    Points
    5
    Par défaut Problème avec le plugin CDT d'eclipse
    Bonjour,

    J'ai un problème lorsque je crée un projet, j'ai ce message dans l'onglet "problems":

    Error launching external scanner info generator (gcc -E -P -v -d C:/eclipse/workspace/.metadata/.plugins/org.eclipse.cdt.make.core/specs.c) hello_world

    J'ai installé Eclipse sous windows, avec le plugin CDT. Et j'ai installé Cygwin pour avoir GCC.

    Enfaite je ne sais pas si il faut rajouter un module additionnel à Cygwin pour avoir GCC ou si il est directement compris dedans.


    Merci de votre aide.

  2. #2
    Membre éprouvé Avatar de MarneusCalgarXP
    Profil pro
    Inscrit en
    juillet 2006
    Messages
    911
    Détails du profil
    Informations personnelles :
    Âge : 39
    Localisation : France, Nord (Nord Pas de Calais)

    Informations forums :
    Inscription : juillet 2006
    Messages : 911
    Points : 1 118
    Points
    1 118
    Par défaut
    Eclipse ne peut malheureusement pas utiliser le gcc de cygwin, qui ne s'execute que sous cygwin.

    Il faut que tu télécharges MinSys et MinGW ainsi que le compilateur gcc qui va avec. C'est assez galère à installer le tout séparément, alors le plus simple est de télécharger Dev-C++ ( Site officiel ) qui installera ces 3 outils en même temps.

    Ensuite, il faut ajouter le répertoire "C:\Dev-cpp\bin" à la variable système PATH. Pour cela, il faut aller dans le panneau de configuration, icône Système, onglet Avancé, bouton Variables d'environnment, sélectionner la variable PATH dans la liste, effectuer un double clic, et rajouter C:\Dev-cpp\bin à la liste (en séparant du reste avec un point virgule)

    Et voilà, c'est tout

    Je ne répond à aucune question technique par MP.

    Si votre problème est réglé, n'oubliez pas Dans tous les cas

  3. #3
    Futur Membre du Club
    Profil pro
    Inscrit en
    octobre 2006
    Messages
    5
    Détails du profil
    Informations personnelles :
    Localisation : Canada

    Informations forums :
    Inscription : octobre 2006
    Messages : 5
    Points : 5
    Points
    5
    Par défaut
    Citation Envoyé par MarneusCalgarXP
    Eclipse ne peut malheureusement pas utiliser le gcc de cygwin, qui ne s'execute que sous cygwin.

    Il faut que tu télécharges MinSys et MinGW ainsi que le compilateur gcc qui va avec. C'est assez galère à installer le tout séparément, alors le plus simple est de télécharger Dev-C++ ( Site officiel ) qui installera ces 3 outils en même temps.

    Ensuite, il faut ajouter le répertoire "C:\Dev-cpp\bin" à la variable système PATH. Pour cela, il faut aller dans le panneau de configuration, icône Système, onglet Avancé, bouton Variables d'environnment, sélectionner la variable PATH dans la liste, effectuer un double clic, et rajouter C:\Dev-cpp\bin à la liste (en séparant du reste avec un point virgule)

    Et voilà, c'est tout
    Merci bcp pour ta réponse

  4. #4
    Membre éprouvé Avatar de MarneusCalgarXP
    Profil pro
    Inscrit en
    juillet 2006
    Messages
    911
    Détails du profil
    Informations personnelles :
    Âge : 39
    Localisation : France, Nord (Nord Pas de Calais)

    Informations forums :
    Inscription : juillet 2006
    Messages : 911
    Points : 1 118
    Points
    1 118
    Par défaut
    De rien, n'oublie pas,

    Je ne répond à aucune question technique par MP.

    Si votre problème est réglé, n'oubliez pas Dans tous les cas

+ Répondre à la discussion
Cette discussion est résolue.

Discussions similaires

  1. problème avec IE & plugin eclipse de gwt 1.7
    Par kazabliz dans le forum GWT et Vaadin
    Réponses: 2
    Dernier message: 04/08/2009, 09h33
  2. Réponses: 0
    Dernier message: 03/04/2008, 14h03
  3. [PMD] [Maven] Problème avec le plugin en version 3.7
    Par sollda dans le forum Qualimétrie
    Réponses: 1
    Dernier message: 26/11/2006, 21h57
  4. Problème avec la classe StringBuilder sous Eclipse
    Par Premium dans le forum Eclipse Java
    Réponses: 26
    Dernier message: 24/10/2006, 10h15
  5. [UML] Problème avec le plugin omondo.uml
    Par seawolfm dans le forum Eclipse Java
    Réponses: 1
    Dernier message: 30/10/2003, 17h40

Partager

Partager
  • Envoyer la discussion sur Viadeo
  • Envoyer la discussion sur Twitter
  • Envoyer la discussion sur Google
  • Envoyer la discussion sur Facebook
  • Envoyer la discussion sur Digg
  • Envoyer la discussion sur Delicious
  • Envoyer la discussion sur MySpace
  • Envoyer la discussion sur Yahoo